org.keycloak.models.sessions.mem.entities

## Class UserSessionEntity

- java.lang.Object
- - org.keycloak.models.sessions.mem.entities.UserSessionEntity

-     public class UserSessionEntity
      extends Object

  Author:
    Stian Thorgersen

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSessionEntity()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addClientSession(ClientSessionEntity clientSession)`
    `String` | `getAuthMethod()`
    `List<ClientSessionEntity>` | `getClientSessions()`
    `String` | `getId()`
    `String` | `getIpAddress()`
    `int` | `getLastSessionRefresh()`
    `String` | `getLoginUsername()`
    `String` | `getRealm()`
    `int` | `getStarted()`
    `String` | `getUser()`
    `boolean` | `isRememberMe()`
    `void` | `removeClientSession(ClientSessionEntity clientSession)`
    `void` | `setAuthMethod(String authMethod)`
    `void` | `setId(String id)`
    `void` | `setIpAddress(String ipAddress)`
    `void` | `setLastSessionRefresh(int lastSessionRefresh)`
    `void` | `setLoginUsername(String loginUsername)`
    `void` | `setRealm(String realm)`
    `void` | `setRememberMe(boolean rememberMe)`
    `void` | `setStarted(int started)`
    `void` | `setUser(String user)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### UserSessionEntity

          public UserSessionEntity()

  - ### Method Detail

    - #### getId

          public String getId()

    - #### setId

          public void setId(String id)

    - #### getRealm

          public String getRealm()

    - #### setRealm

          public void setRealm(String realm)

    - #### getUser

          public String getUser()

    - #### setUser

          public void setUser(String user)

    - #### getLoginUsername

          public String getLoginUsername()

    - #### setLoginUsername

          public void setLoginUsername(String loginUsername)

    - #### getIpAddress

          public String getIpAddress()

    - #### setIpAddress

          public void setIpAddress(String ipAddress)

    - #### getAuthMethod

          public String getAuthMethod()

    - #### setAuthMethod

          public void setAuthMethod(String authMethod)

    - #### isRememberMe

          public boolean isRememberMe()

    - #### setRememberMe

          public void setRememberMe(boolean rememberMe)

    - #### getStarted

          public int getStarted()

    - #### setStarted

          public void setStarted(int started)

    - #### getLastSessionRefresh

          public int getLastSessionRefresh()

    - #### setLastSessionRefresh

          public void setLastSessionRefresh(int lastSessionRefresh)

    - #### addClientSession

          public void addClientSession(ClientSessionEntity clientSession)

    - #### removeClientSession

          public void removeClientSession(ClientSessionEntity clientSession)

    - #### getClientSessions

          public List<ClientSessionEntity> getClientSessions()

Copyright © 2015. All Rights Reserved.